

/***********************
  Tasks:

    CodeHelpers:
    jsHint, karma, mocha

    Build-Process:
    Compile less into stylesheets
*************************/

module.exports = function(grunt) {

require('load-grunt-tasks')(grunt); // npm install --save-dev load-grunt-tasks

  grunt.initConfig({

    less: {
      development: {
        options: {
        //  paths: ['examples/assets/css'] // paths optional, scanned for imports
        },

        files: [
         {
           expand: true,
           cwd: 'less',
           src: ['**/*.less'],
           dest: './dist/styles/',
           ext: '.css'
         }
       ]
      },
      production: {
        options: {
        //  paths: ['examples/assets/css'], // paths optional, scanned for imports
      /*    plugins: [
            new(require('less-plugin-autoprefix'))({
              browsers: ["last 2 versions"]
            })
           new(require('less-plugin-clean-css'))({})
         ],*/
          modifyVars: {
            imgPath: '""', //variable example
            bgColor: 'red' //variable example
          }
        },
        files: [
         {
           expand: true,
           cwd: 'less',
           src: ['**/*.less'],
           dest: './dist/styles/',
           ext: '.css'
         }
       ]
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-less');
  grunt.registerTask('styles', ['less']);
  grunt.registerTask('default', ['less']);

};
