module.exports = {
  db: {},
  state: {
    isInit: false
  },

  tableNames: [],

  tables: {},

  init: function(dbName, tableNames, callback) {

    console.log("Table names:" + JSON.stringify(tableNames));
    console.log('dbName:' +  dbName);

    var loki = require('lokijs'),
    fs = require('fs'),
    dataPresent = false;

    var filename = __dirname + '/loki.dexicon.json';

    dataPresent = fs.existsSync(filename);

    callback = callback || function(){
    };

    var $scope = this;

    this.db = new loki(filename, {
      autoload: true,
      autoloadCallback: start.bind(this),
      autosave: true,
      autosaveInterval: 4000
    });

    if(!dataPresent)
    {
      return console.log('loki-data not found(lokiwordnet.json)');
    }

    // implement the autoloadback referenced in loki constructor
    function start() {

      if(dataPresent)
      {
        console.log('Data is present');

        for(var x in tableNames)
        {

          this.tables[x] = this.db.getCollection(x);

          if(this.tables[x])
          console.log('GOT TABLE:' + x);
        }

          callback.bind($scope).call(); //call now
          return;
      }

      else{
          return console.log('loki-data not found(lokiwordnet.json)');
      }

    }

    start.bind($scope); //calling when loaded
    this.tableNames = tableNames;
    module.exports.tableNames = tableNames;
    return module.exports;

  },

  save:function(){
    this.db.saveDatabase();
  }

}
